Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget
Class AbstractWidgetPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.widget.AbstractWidgetPortlet

All Implemented Interfaces:
  Portlet

Direct Known Subclasses:
  GGWidgetPortlet, NetvibesWidgetPortlet

    public abstract class AbstractWidgetPortlet

extends GenericPortlet

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Field Summary
`protected PortletMode` | `EDIT_CONTENT` .
`static java.lang.String` | `INIT_PARAM_CONNECTION_TIMEOUT` .
`static java.lang.String` | `INIT_PARAM_ENTRY_EXPIRATION` .
`static java.lang.String` | `INIT_PARAM_FETCH_WIDGETS_ON_LOOKUP` .
`static java.lang.String` | `INIT_PARAM_QUERY_EXPIRATION` .

Constructor Summary
`AbstractWidgetPortlet()`

Method Summary
`void` | `destroy()` Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.
`protected abstract WidgetProvider` | `getProvider()`
`void` | `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.

Methods inherited from class javax.portlet.GenericPortlet
`doDispatch, doEdit, doHelp, doView, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, processAction, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_PARAM_CONNECTION_TIMEOUT

    public static final java.lang.String INIT_PARAM_CONNECTION_TIMEOUT

  .

  See Also:
    Constant Field Values

### INIT_PARAM_ENTRY_EXPIRATION

    public static final java.lang.String INIT_PARAM_ENTRY_EXPIRATION

  .

  See Also:
    Constant Field Values

### INIT_PARAM_QUERY_EXPIRATION

    public static final java.lang.String INIT_PARAM_QUERY_EXPIRATION

  .

  See Also:
    Constant Field Values

### INIT_PARAM_FETCH_WIDGETS_ON_LOOKUP

    public static final java.lang.String INIT_PARAM_FETCH_WIDGETS_ON_LOOKUP

  .

  See Also:
    Constant Field Values

### EDIT_CONTENT

    protected final PortletMode EDIT_CONTENT

  .

Constructor Detail

### AbstractWidgetPortlet

    public AbstractWidgetPortlet()

Method Detail

### getProvider

    protected abstract WidgetProvider getProvider()

  Returns:
    WidgetProvider

### init

    public void init()
              throws PortletException

  Description copied from class: `GenericPortlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericPortlet.init(PortletConfig)`, simply override this method and it will be called by `GenericPortlet.init(PortletConfig config)`. The `PortletConfig` object can still be retrieved via `GenericPortlet.getPortletConfig()`.

  Overrides:
    `init` in class `GenericPortlet`
  Throws:
    `PortletException` - if an exception has occurred that interferes with the portlet normal operation.
    `UnavailableException` - if the portlet is unavailable to perform init

### destroy

    public void destroy()

  Description copied from class: `GenericPortlet`
  Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.

  The default implementation does nothing.

  Specified by:
    `destroy` in interface `Portlet`
  Overrides:
    `destroy` in class `GenericPortlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD